Manifest-Version: 1.0
Bnd-LastModified: 1728057278432
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Workflow Kaleo Definition Implementation
Bundle-SymbolicName: com.liferay.portal.workflow.kaleo.definition.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 6.0.24.hotfix-6029-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.change.tracking.spi.display;version="3.0",
 com.liferay.change.tracking.spi.display.context;version="1.2",com.lif
 eray.osgi.service.tracker.collections.map;version="2.3",com.liferay.p
 etra.function;version="1.5",com.liferay.petra.string;version="1.7",co
 m.liferay.portal.kernel.exception;version="13.3",com.liferay.portal.k
 ernel.log;version="8.0",com.liferay.portal.kernel.model;version="30.6
 ",com.liferay.portal.kernel.portlet.url.builder;version="2.0",com.lif
 eray.portal.kernel.security.auth;version="6.2",com.liferay.portal.ker
 nel.security.permission;version="7.0",com.liferay.portal.kernel.secur
 ity.permission.resource;version="2.3",com.liferay.portal.kernel.servi
 ce;version="26.0",com.liferay.portal.kernel.theme;version="11.1",com.
 liferay.portal.kernel.util;version="65.0",com.liferay.portal.kernel.w
 orkflow;version="21.0",com.liferay.portal.kernel.xml;version="7.2",co
 m.liferay.portal.workflow.kaleo;version="3.0",com.liferay.portal.work
 flow.kaleo.definition;version="6.0",com.liferay.portal.workflow.kaleo
 .definition.deployment;version="3.0",com.liferay.portal.workflow.kale
 o.definition.exception;version="1.4",com.liferay.portal.workflow.kale
 o.definition.export;version="2.0",com.liferay.portal.workflow.kaleo.d
 efinition.export.builder;version="1.0",com.liferay.portal.workflow.ka
 leo.definition.parser;version="2.0",com.liferay.portal.workflow.kaleo
 .definition.util;version="1.1",com.liferay.portal.workflow.kaleo.mode
 l;version="5.3",com.liferay.portal.workflow.kaleo.service;version="9.
 2",javax.portlet,javax.servlet.http,org.osgi.framework;version="1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Portal Workflow
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: forms-and-workflow
Liferay-Releng-Suite-Description: Apps and Features: Calendar, Dynamic
  Data Lists, Dynamic Data Mapping, Forms, Polls, Workflow<br /><br />
 An increase in productivity means you're saving time and effort; youâ
 €™re becoming more efficient. The Forms and Workflow apps help you do
  that by giving you built-in calendars and the ability to create your
  own forms and list applications. These are powerful, flexible apps t
 hat can be quickly leveraged for basic tasks, or carefully configured
  and mastered to perfect business processes.<br /><br />Need a quick 
 survey or complex Sign Up form? Use the Liferay Forms app and make an
 y forms you want. If there's a forms feature you need, this app proba
 bly has it.<br /><br />Maybe you need an entire list application, and
  you need it today. Dynamic Data Lists lets you do it without any dev
 eloper expertise.<br /><br />Do you need personal calendars for your 
 users, and/or site calendars? Do you need the calendar to be highly c
 onfigurable? Use the Calendar app.<br /><br />Would you like to initi
 ate a review process when new content, or any new asset, is created? 
 The Kaleo Workflow Engine lets you send any asset through review befo
 re it gets published.<br /><br />Want to quickly get the opinion of y
 our users on something? The Polls app is extremely easy to use.<br />
 <br />This suite may contain modules that depend on Foundation suite 
 modules. This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Forms and Workflow
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.portal.workflow.kaleo.definition.internal
 .change.tracking.spi.display,com.liferay.portal.workflow.kaleo.defini
 tion.internal.deployment,com.liferay.portal.workflow.kaleo.definition
 .internal.export,com.liferay.portal.workflow.kaleo.definition.interna
 l.export.builder,com.liferay.portal.workflow.kaleo.definition.interna
 l.parser
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .change.tracking.spi.display.CTDisplayRenderer";uses:="com.liferay.ch
 ange.tracking.spi.display",osgi.service;objectClass:List<String>="com
 .liferay.portal.workflow.kaleo.definition.deployment.WorkflowDeployer
 ";uses:="com.liferay.portal.workflow.kaleo.definition.deployment",osg
 i.service;objectClass:List<String>="com.liferay.portal.workflow.kaleo
 .definition.export.DefinitionExporter";uses:="com.liferay.portal.work
 flow.kaleo.definition.export",osgi.service;objectClass:List<String>="
 com.liferay.portal.workflow.kaleo.definition.export.NodeExporter";use
 s:="com.liferay.portal.workflow.kaleo.definition.export",osgi.service
 ;objectClass:List<String>="com.liferay.portal.workflow.kaleo.definiti
 on.export.builder.DefinitionBuilder";uses:="com.liferay.portal.workfl
 ow.kaleo.definition.export.builder",osgi.service;objectClass:List<Str
 ing>="com.liferay.portal.workflow.kaleo.definition.internal.export.bu
 ilder.NodeBuilder";uses:="com.liferay.portal.workflow.kaleo.definitio
 n.internal.export.builder",osgi.service;objectClass:List<String>="com
 .liferay.portal.workflow.kaleo.definition.parser.NodeValidator";uses:
 ="com.liferay.portal.workflow.kaleo.definition.parser",osgi.service;o
 bjectClass:List<String>="com.liferay.portal.workflow.kaleo.definition
 .parser.WorkflowModelParser";uses:="com.liferay.portal.workflow.kaleo
 .definition.parser",osgi.service;objectClass:List<String>="com.lifera
 y.portal.workflow.kaleo.definition.parser.WorkflowValidator";uses:="c
 om.liferay.portal.workflow.kaleo.definition.parser"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.security.permission.resource.PortletResourcePermission)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.service.RoleLocalService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.kernel.service.UserLocalServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.util.Portal)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.workflow.kaleo.KaleoWorkflowModelConve
 rter)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.workflow.kaleo.definition.export.builder.DefinitionBuilder)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.workflow.kaleo.service.KaleoActionLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.workflow.kal
 eo.service.KaleoConditionLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.workflow.kaleo.service.Kal
 eoDefinitionLocalService)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.workflow.kaleo.service.KaleoDefinitionS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.workflow.kaleo.service.KaleoDefinitionVersionLocalService
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.workflow.kaleo.service.KaleoNodeLocalService)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.workflow.kale
 o.service.KaleoNotificationLocalService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.workflow.kaleo.service.K
 aleoNotificationRecipientLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.workflow.kaleo.service.Kal
 eoTaskAssignmentLocalService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.workflow.kaleo.service.KaleoTaskFor
 mLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.workflow.kaleo.service.KaleoTaskLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 workflow.kaleo.service.KaleoTimerLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.workflow.kaleo.ser
 vice.KaleoTransitionLocalService)";effective:=active,osgi.extender;fi
 lter:="(&(osgi.extender=osgi.component)(version>=1.4.0)(!(version>=2.
 0.0)))",osgi.contract;osgi.contract=JavaPortlet;filter:="(&(osgi.cont
 ract=JavaPortlet)(version=3.0.0))",osgi.contract;osgi.contract=JavaSe
 rvlet;filter:="(&(osgi.contract=JavaServlet)(version=3.1.0))",osgi.ee
 ;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.portal.workflow.kaleo.definiti
 on.internal.change.tracking.spi.display.KaleoDefinitionCTDisplayRende
 rer.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.definition.interna
 l.change.tracking.spi.display.KaleoDefinitionVersionCTDisplayRenderer
 .xml,OSGI-INF/com.liferay.portal.workflow.kaleo.definition.internal.d
 eployment.DefaultWorkflowDeployer.xml,OSGI-INF/com.liferay.portal.wor
 kflow.kaleo.definition.internal.export.ConditionNodeExporter.xml,OSGI
 -INF/com.liferay.portal.workflow.kaleo.definition.internal.export.For
 kNodeExporter.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.definiti
 on.internal.export.JoinNodeExporter.xml,OSGI-INF/com.liferay.portal.w
 orkflow.kaleo.definition.internal.export.JoinXorNodeExporter.xml,OSGI
 -INF/com.liferay.portal.workflow.kaleo.definition.internal.export.Sta
 teNodeExporter.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.definit
 ion.internal.export.TaskNodeExporter.xml,OSGI-INF/com.liferay.portal.
 workflow.kaleo.definition.internal.export.XMLDefinitionExporter.xml,O
 SGI-INF/com.liferay.portal.workflow.kaleo.definition.internal.export.
 builder.ConditionNodeBuilder.xml,OSGI-INF/com.liferay.portal.workflow
 .kaleo.definition.internal.export.builder.DefaultDefinitionBuilder.xm
 l,OSGI-INF/com.liferay.portal.workflow.kaleo.definition.internal.expo
 rt.builder.ForkNodeBuilder.xml,OSGI-INF/com.liferay.portal.workflow.k
 aleo.definition.internal.export.builder.JoinNodeBuilder.xml,OSGI-INF/
 com.liferay.portal.workflow.kaleo.definition.internal.export.builder.
 JoinXorNodeBuilder.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.def
 inition.internal.export.builder.StateNodeBuilder.xml,OSGI-INF/com.lif
 eray.portal.workflow.kaleo.definition.internal.export.builder.TaskNod
 eBuilder.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.definition.in
 ternal.parser.ConditionNodeValidator.xml,OSGI-INF/com.liferay.portal.
 workflow.kaleo.definition.internal.parser.DefaultWorkflowValidator.xm
 l,OSGI-INF/com.liferay.portal.workflow.kaleo.definition.internal.pars
 er.ForkNodeValidator.xml,OSGI-INF/com.liferay.portal.workflow.kaleo.d
 efinition.internal.parser.JoinNodeValidator.xml,OSGI-INF/com.liferay.
 portal.workflow.kaleo.definition.internal.parser.JoinXorNodeValidator
 .xml,OSGI-INF/com.liferay.portal.workflow.kaleo.definition.internal.p
 arser.StateNodeValidator.xml,OSGI-INF/com.liferay.portal.workflow.kal
 eo.definition.internal.parser.TaskNodeValidator.xml,OSGI-INF/com.life
 ray.portal.workflow.kaleo.definition.internal.parser.XMLWorkflowModel
 Parser.xml
Tool: Bnd-5.3.0.202102221516

